Email::Date::Format(3)

NAME
Email::Date::Format - produce RFC 2822 date strings

SYNOPSIS
  use Email::Date::Format qw(email_date);

  my $header = email_date($date->epoch);

  Email::Simple->create(
    header => [
      Date => $header,
    ],
    body => '...',
  );

DESCRIPTION
This module provides a simple means for generating an RFC 2822 compliant datetime string. (In case you care, they're not RFC 822 dates, because they use a four digit year, which is not allowed in RFC 822.)

  FUNCTIONS

email_date
      my $date = email_date; # now
      my $date = email_date( time - 60*60 ); # one hour ago

    "email_date" accepts an epoch value, such as the one returned by "time". It returns a string representing the date and time of the input, as specified in RFC 2822. If no input value is provided, the current value of "time" is used.

    "format_date" is exported only if requested.

email_gmdate
      my $date = email_gmdate;

    "email_gmdate" is identical to "email_date", but it will return a string indicating the time in Greenwich Mean Time, rather than local time.

    "format_gmdate" is exported only if requested.

PERL EMAIL PROJECT
This module is maintained by the Perl Email Project

<http://emailproject.perl.org/wiki/Email::Date::Format>

AUTHOR
Ricardo SIGNES, <rjbs@cpan.org>.

Adapted from Email::Date, by Casey West.

COPYRIGHT
Copyright (c) 2007, Ricarod SIGNES. This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.